'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports['default'] = datastore;

var _nedb = require('nedb');

var _nedb2 = _interopRequireDefault(_nedb);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function datastore() {
	var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

	var DB = new _nedb2['default'](options);
	DB = _bluebird2['default'].Promise.promisifyAll(DB);

	DB.cfind = function (spec, opts) {
		var c = DB.find(spec, opts);
		c.execAsync = _bluebird2['default'].Promise.promisify(c.exec, c);
		return c;
	};

	DB.cfindOne = function (spec, opts) {
		var c = DB.findOne(spec, opts);
		c.execAsync = _bluebird2['default'].Promise.promisify(c.exec, c);
		return c;
	};

	return DB;
}

exports.datastore = datastore;